dec_server_record Struct Reference

Decoding server static records. More...

`#include <openjpip.h>`

## Data Fields

cachelist_param_t * | cachelist
| cache list
Byte_t * | jpipstream
| JPT/JPP stream.
OPJ_SIZE_T | jpipstreamlen
| length of jpipstream
msgqueue_param_t * | msgqueue
| parsed message queue of jpipstream
SOCKET | listening_socket
| listening socket

## Detailed Description

Decoding server static records.

## Field Documentation

## cachelist

cachelist_param_t* dec_server_record::cachelist

cache list

Referenced by handle_clientreq(), and init_dec_server().

## jpipstream

Byte_t* dec_server_record::jpipstream

JPT/JPP stream.

Referenced by handle_clientreq(), and init_dec_server().

## jpipstreamlen

OPJ_SIZE_T dec_server_record::jpipstreamlen

length of jpipstream

Referenced by handle_clientreq(), and init_dec_server().

## listening_socket

SOCKET dec_server_record::listening_socket

listening socket

Referenced by accept_connection(), and init_dec_server().

## msgqueue

msgqueue_param_t* dec_server_record::msgqueue

parsed message queue of jpipstream

Referenced by handle_clientreq(), and init_dec_server().

The documentation for this struct was generated from the following file:

- openjpip.h